Subject: Emacs 24.0.92 windows build, error with align-regexp

From: Da Zhang <[email-masked]>
Date: Sun, 04 Dec 2011 15:26:47 -0500

Dear Emacs developers,

I am test-using Emacs 24.0.92 (windows build). When I ran the command align-regexp, it turned out with the following error message: "Wrong type argument: markerp, 0".
Even when I started emacs with "emacs -q", the problem still existed.

You can try the function on the following text block, to align with &:
       Exp1 &Catphan &Axial &120 &570 &0.5 s &Median &5 mm &20 mm &26.04 mGy\\
&ACR/Water & & & & & & & &         \\
       Exp2 &ACR/Water &Axial &120 &305 &0.5 s &Large &5 mm &20 mm &13.46 mGy\\
       Exp2 &ACR/Water &Axial &120 &305 &0.5 s &Median &5 mm &20 mm &13.93 mGy\\
       Exp2 &ACR/Water &Axial &120 &305 &0.5 s &Large &5 mm &40 mm &12.23 mGy\\
       Exp2 &ACR/Water &Axial &120 &305 &0.5 s &Median &5 mm &40 mm &12.67 mGy\\

I also tested Emacs 23, on the same text block, and the align-regexp works perfectly.

Thanks.

Da Zhang